Subject: Re: IAB Technical Comment on the Unique DNS Root

From: Jeff Williams <[email-masked]>
Date: Fri, 11 Feb 2000 02:14:25 -0800

David and all,

  I agree completely David.  You might want to let the IETF know
this as they obviously don't or are now using the IETF drafting
process as a political forum...  But than again Donald Eastlake
(Draft in questions author) has always been of a single root
structure bent.

David Schutt wrote:

> This single root argument is getting a bit tired.
>
> Understandably, people are worried about name space collisions,
> they would prefer that there be only one com zone. A single root
> is probably the most convenient way to achieve that, but it's not
> the only one.
>
> I've been trying out some software that lets me pick and choose where
> I'll get name resolution for any particular domain, and it works just fine.
> I can mix and match any way I want, use the legacy root servers, add local
> TLD's, add public TLD's not referenced by the roots, or even specify name
> servers for all TLD's and not reference the roots at all.
>
> A single root is an administrative convenience, makes it easy for everyone
> to keep track of who is serving what TLD's. It's convenient enough that
> most people find it much easier to continue to reference the current roots.
> Elevating that to a technical necessity is stretching things a bit,
> though.
>
> Ultimately, anyone can make the decision to get their resolution service
> from a different .com TLD, and it would be difficult if not impossible to
> stop them.
>
> The question is, why would anybody want to?
>
> And if no one would want to, why make a big deal out of it?
>
> David Schutt
>
> On Thu, Feb 10, 2000 at 10:44:29PM -0500, !Dr. Joe Baptista wrote:
> > Looks like the IAB is a bit nervose these days.
> >
> > A New Internet-Draft is available from the on-line Internet-Drafts directories.
> > This draft is a work item of the Internet Architecture Board Working Group of the IETF.
> >
> >         Title           : IAB Technical Comment on the Unique DNS Root
> >         Author(s)       : IAB
> >         Filename        : draft-ietf-iab-unique-dns-root-00.txt
> >         Pages           : 5
> >         Date            : 07-Feb-00
> >
> > To remain a global network, the Internet requires the existence of a
> > globally unique public name space.  The DNS name space is a
> > hierarchical name space derived from a single, globally unique root.
> > This is a technical constraint inherent in the design of the DNS
> > system.  Therefore it is not technically feasible for there to be
> > more than one root in the public DNS system.  That one root must be
> > supported by a small number of coordinated root servers, and
> > administered by a unique naming authority.
> > Put simply, deploying multiple public DNS roots would raise a very
> > strong possibility that users of different ISPs who click on the same
> > link on a web page could end up at different destinations, against
> > the will of the web page designers.
> > This does not preclude private networks from operating their own
> > private name spaces, but if they wish to make use of names uniquely
> > defined for the global Internet, they have to fetch that information
> > from the global DNS naming hierarchy, and in particular from the
> > coordinated root servers of the global DNS naming hierarchy.
> >
> > A URL for this Internet-Draft is:
> > http://www.ietf.org/internet-drafts/draft-ietf-iab-unique-dns-root-00.txt

Regards,
--
Jeffrey A. Williams
Spokesman INEGroup (Over 95k members strong!)
CEO/DIR. Internet Network Eng/SR. Java/CORBA Development Eng.
Information Network Eng. Group. INEG. INC.
E-Mail [email-masked]
Contact Number:  972-447-1894
Address: 5 East Kirkwood Blvd. Grapevine Texas 75208

---

From: Jeff Williams <[email-masked]>
Date: Fri, 11 Feb 2000 02:14:25 -0800

David and all,

Regards,